unit RegisterAbout;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, SysUtils, ComCtrls, ToolWin, Executor;

type
  TRegisterAboutBox = class(TForm)
    OKButton: TButton;
    Bevel1: TBevel;
    Label2: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Panel1: TPanel;
    SpeedButtonExecutor: TSpeedButton;
    SpeedButton2: TSpeedButton;
    MemoInfo: TMemo;
    Bevel2: TBevel;
    SpeedButton1: TSpeedButton;
    SpeedButton3: TSpeedButton;
    Executor1: TExecutor;
    procedure SpeedButtonMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormCreate(Sender: TObject);
    procedure Label7Click(Sender: TObject);
  private
    { Private declarations }
    NewSender: TObject;
  public
    { Public declarations }
  end;

var
  RegisterAboutBox: TRegisterAboutBox;

implementation

{$R *.DFM}

procedure TRegisterAboutBox.SpeedButtonMouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  if (NewSender as TSpeedButton).Caption<>(Sender as TSpeedButton).Caption then
  begin
    NewSender:=Sender;
    MemoInfo.Lines.Clear;
    if (Sender as TSpeedButton).Caption='Executor' then
    begin
      MemoInfo.Lines.Add('By using the Executor Component you are able to start '
      +'any program.');
      MemoInfo.Lines.Add('');
      MemoInfo.Lines.Add('The Run command in the Windows Start menu acts almost '
      +'the same, but you can''t control this command. With the Executor Component '
      +'you are in control. If you want to, it stops your main process, until the '
      +'started program has finished.');
      MemoInfo.Lines.Add('You can open a file or folder or connect to a shared '
      +'computer by typing its path in the FileName property. If you want to have a '
      +'DOS- prompt assign the value ''command.com'' to the property FileName.');
    end;

    if (Sender as TSpeedButton).Caption='UndoAndRedo' then
    begin
      MemoInfo.Lines.Add('By using the UndoAndRedo Component you are able to control the undo, '
      +'repeat and redo functionality in an easy way.');
      MemoInfo.Lines.Add('');
      MemoInfo.Lines.Add('It simplifies the implementation ');
      MemoInfo.Lines.Add('of these advanced features, because you don''t have to bother with the way');
      MemoInfo.Lines.Add('you store data. You only need to know what kind of data you want to store. '
      +'This professionality is provided in one component.');
    end;

    if (Sender as TSpeedButton).Caption='Ruler' then
    begin
      MemoInfo.Lines.Add('Available soon!!!');
    end;

    if (Sender as TSpeedButton).Caption='Register' then
    begin
      MemoInfo.Lines.Add('If you use these components in commercial or shareware '
      +'applications, you are encouraged to register.');
      MemoInfo.Lines.Add('Registration entitles you to '
      +'all future versions of these components, including full source code, '
      +'documentation and additional support.');
      MemoInfo.Lines.Add('');
      MemoInfo.Lines.Add('All components have been tested '
      +'to a good degree. However, if modifications for bug fixes are necessary, '
      +'they will be made. In addition, if there is sufficient need (demand) for '
      +'enhancements, they will be made if there is registration support.');
    end;
  end;
end;



procedure TRegisterAboutBox.FormCreate(Sender: TObject);
begin
  SpeedButtonMouseMove(SpeedButtonExecutor, [], 1, 1);
end;

procedure TRegisterAboutBox.Label7Click(Sender: TObject);
begin
  Executor1.GoOnline('http://www.high-logic.com/cool.html');
end;

end.

